> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/basketball/basic-data/schedule-and-results-season-query-newest-season.md).

# Schedule and Results - season query(newest season)

## Schedule and Results - season query(newest season)

> This interface returns the full schedule and result data of the query season (Restriction: newest season)\<br/>Request times: 120 times/min\<br/>\<br/>Note: Get the full data of the match interface, this interface does not need to be obtained again

```json
{"openapi":"3.0.1","info":{"title":"Basketball API","version":"1.0.251028"},"tags":[{"name":"BASIC DATA","description":"BASIC DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/basketball/match/season/recent":{"get":{"tags":["BASIC DATA"],"description":"This interface returns the full schedule and result data of the query season (Restriction: newest season)<br/>Request times: 120 times/min<br/><br/>Note: Get the full data of the match interface, this interface does not need to be obtained again","summary":"Schedule and Results - season query(newest season)","operationId":"getSeasonMatchRecent","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Season id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"query":{"$ref":"#/common/schemas/QuerySimp"},"results":{"type":"array","description":"Match list","items":{"$ref":"#/components/schemas/Match"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"Match":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"competition_id":{"type":"string","description":"Competition id"},"home_team_id":{"type":"string","description":"Home team id"},"away_team_id":{"type":"string","description":"Away team id"},"kind":{"type":"integer","description":"Type id, 1-Regular season, 2-Playoffs, 3-Preseason, 4-All-Star, 5-Cup, 6-play offs, 0-None"},"status_id":{"type":"integer","description":"Match status, please refer to Status Code -> Match Status"},"match_time":{"type":"integer","description":"Match time"},"neutral":{"type":"integer","description":"Is it neutral, 1-Yes, 0-No"},"home_scores":{"$ref":"#/deps/schemas/HomeScore"},"away_scores":{"$ref":"#/deps/schemas/AwayScore"},"period_count":{"type":"integer","description":"Total quarters of the game (excluding overtime)"},"over_time_scores":{"$ref":"#/deps/schemas/OtScore"},"coverage":{"type":"object","description":"Animation","properties":{"mlive":{"type":"integer","description":"Is there any animation, 1-yes, 0-no"}}},"season_id":{"type":"string","description":"Season id(no data field does not exist)"},"venue_id":{"type":"string","description":"Venue id(no data field does not exist)"},"round":{"type":"object","description":"Stage(no data field does not exist)","properties":{"stage_id":{"type":"string","description":"Stage id"},"group_num":{"type":"integer","description":"Which group, 1-A, 2-B and so on(no data field does not exist)"},"round_num":{"type":"integer","description":"Which round(no data field does not exist)"}}},"position":{"type":"object","description":"Rank(no data field does not exist)","properties":{"home":{"type":"string","description":"Home Team Ranking"},"away":{"type":"string","description":"Away team ranking"}}},"tbd":{"type":"integer","description":"Is the match time to be determined? 1. Yes(if it exists, it will be returned)"},"ended":{"type":"integer","description":"End time(if it exists, it will be returned)"},"loss":{"type":"integer","description":"The match is directly ruled as lost? 1. Yes(if it exists, it will be returned)"},"updated_at":{"type":"integer","description":"Update time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"QuerySimp":{"type":"object","description":"Inquiry","properties":{"total":{"type":"integer","description":"Return the total amount of data"},"type":{"type":"string","description":"Query type, season query: season, date query: diary"}}},"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}},"deps":{"schemas":{"HomeScore":{"type":"array","description":"Home team score field description<br/>example: [0, 0, 0, 0, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Section 1 Score | Integer |\n| `1` | Section 2 Score | Integer |\n| `2` | Section 3 Score | Integer |\n| `3` | Section 4 Score | Integer |\n| `4` | Overtime score | Integer |\n","items":""},"AwayScore":{"type":"array","description":"Away team score field description<br/>example: [0, 0, 0, 0, 0]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Section 1 Score | Integer |\n| `1` | Section 2 Score | Integer |\n| `2` | Section 3 Score | Integer |\n| `3` | Section 4 Score | Integer |\n| `4` | Overtime score | Integer |\n","items":""},"OtScore":{"type":"array","description":"Overtime score field description(This field is only available for more than 1 extra time, and each bit is the score of 1 extra time.)<br/>example: [[8, 9, 6], [8, 9, 8]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n| `1` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Home team overtime scores in the first quarter | Integer |\n| `0[1]` | Home team 2nd quarter overtime score | Integer |\n| `0[2]` | Home team overtime score in the nth quarter | Integer |\n\n**Index `1` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `1[0]` | Away team overtime scores in the first quarter | Integer |\n| `1[1]` | Away team 2nd quarter overtime score | Integer |\n| `1[2]` | Away team overtime score in the nth quarter | Integer |\n","items":""}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/basketball/basic-data/schedule-and-results-season-query-newest-season.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
